OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::ContainerDeletePolicy< ObjectType > Struct Template Reference

`#include <juce_ContainerDeletePolicy.h>`

## Static Public Member Functions
static void | destroy (ObjectType *object)

## Detailed Description

template<typename ObjectType>
struct juce::ContainerDeletePolicy< ObjectType >

Used by container classes as an indirect way to delete an object of a particular type.

The generic implementation of this class simply calls 'delete', but you can create a specialised version of it for a particular class if you need to delete that type of object in a more appropriate way.

See also
  OwnedArray

Definition at line 40 of file juce_ContainerDeletePolicy.h.

## Member Function Documentation

## ◆ destroy()

template<typename ObjectType >

static void juce::ContainerDeletePolicy< ObjectType >::destroy | ( | ObjectType * | object | ) |
| inline static

Definition at line 42 of file juce_ContainerDeletePolicy.h.

The documentation for this struct was generated from the following file:

- juce_ContainerDeletePolicy.h